Get the prompt of an agent
curl --request GET \
--url https://api.starleads.co/Agent/{agentId}/prompt \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.starleads.co/Agent/{agentId}/prompt"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.starleads.co/Agent/{agentId}/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentId": "64a1b2c3d4e5f6a7b8c9d0e1",
"agentName": "My Sales Agent",
"prompt": "You are a friendly sales assistant..."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Agent
Get the prompt of an agent
Retrieves the current prompt configured for an agent. The agent must belong to the same company as the API key used for authentication.
GET
/
Agent
/
{agentId}
/
prompt
Get the prompt of an agent
Authorizations
Headers
Api key to pass as a X-Api-Key request header.
Path Parameters
ID of the agent.
⌘I

